*{
    margin: 0;
    padding:0;
    box-sizing: border-box;
}
@keyframes loader {
    from{
        transform: rotate(10deg);
    }
    to{
        transform: rotate(360deg);
    }
}
.loader-cont{
    background:transparent ;
    backdrop-filter: blur(10px);
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    /* display: block; */
    justify-content: center;
    /* border: 1px solid red; */
    width: 0;
    overflow: hidden;
    height: 100vh;
    z-index: 999999;
    align-items: center !important;
    align-content: center;
    transition: width 600ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
.loader-cont.open{
    width: 100%;
}
.loader{
    /* border: 2px solid red; */
    border-radius: 100px;
    width: 100px;
    position: relative;
    height: 100px;
    /* margin: 20px auto; */
    padding: 6px;
    background: #fff;
}
.loader .spinner{
    position: absolute;
    border: 1px dotted blue;
    width: 100px;
    height: 100px;
    top: 0;
    animation: loader 600ms linear infinite;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    border-bottom: 2px solid blue;

}
.loader img{
    border-radius: 100px;
    display: flex;
    /* box-sizing: border-box; */
    display: block;
    position: relative;
    border: 2px solid green;
}